// Copyright (c) 2005 Sony Ericsson Mobile Communications AB
//
// This software is provided "AS IS," without a warranty of any kind. 
// ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, 
// INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A 
// PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. 
//
// THIS SOFTWARE IS COMPLEMENTARY OF JAYWAY AB (www.jayway.se)

package bluegammon.gui.popup;

/**
 * Implementations of this class are reported when users selects
 * an alternative in a popup.
 * @author Peter Andersson
 */
public interface PopupListener
{
    /**
     * Called when an selection has been made.
     * @param choice	The index of the alternatives that were chosen.
     * @param timeOut	True if the choice was made because of a time out.
     */
	public void selectedChoice(byte choice, boolean timeOut);
}
