// Copyright (c) 2005 Sony Ericsson Mobile Communications AB
//
// This software is provided "AS IS," without a warranty of any kind. 
// ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, 
// INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A 
// PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. 
//
// THIS SOFTWARE IS COMPLEMENTARY OF JAYWAY AB (www.jayway.se)

package bluegammon;

import javax.microedition.lcdui.Display;
import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

/**
 * The bluegammon MIDlet.
 * @see bluegammon.Bluegammon
 * @author Peter Andersson
 */
public class BluegammonMIDlet extends MIDlet
{
  /** Initialization flag */
  protected boolean m_init = false;
  
  /**
   * Initializes the Bluegammon facade.
   */
  protected void startApp() throws MIDletStateChangeException
  {
    if (!m_init)
    {
      m_init = true;
      Bluegammon.init(this, Display.getDisplay(this));
    }
  }

  protected void pauseApp() {}

  protected void destroyApp(boolean force) throws MIDletStateChangeException
  {
    // Try to save game before exiting
    Bluegammon.exitGame();
  }
}
